Package php modules for Zend 5.5 on Jessie
Closed, ResolvedPublic

Description

php-redis https://anonscm.debian.org/cgit/pkg-php/php-redis.git/ to be packaged for Jessie as a Zend 5.5 module.

  • php-luasandbox mediawiki/php/luasandbox.git
  • php-redis operations/debs/pkg-php/php-redis.git

When building the package one has to either:

hashar created this task.Sep 4 2017, 8:43 PM
hashar renamed this task from Package php-redis Zend 5.5 for Jessie to Package php modules for Zend 5.5 on Jessie.Sep 5 2017, 2:16 PM
hashar updated the task description. (Show Details)
hashar updated the task description. (Show Details)Sep 7 2017, 8:49 AM

Change 376483 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/debs/pkg-php/php-redis@debian/jessie-wikimedia] Build for php5.5 on jessie-wikimedia

https://gerrit.wikimedia.org/r/376483

Change 376496 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dib: add php5.5-redis

https://gerrit.wikimedia.org/r/376496

Change 376496 merged by jenkins-bot:
[integration/config@master] dib: add php5.5-redis

https://gerrit.wikimedia.org/r/376496

Mentioned in SAL (#wikimedia-releng) [2017-09-07T11:58:47Z] <hashar> nodepool: updating snapshot-ci-jessie to add php5.5-redis | T161882 T174972

Mentioned in SAL (#wikimedia-releng) [2017-09-07T13:02:52Z] <hashar> nodepool: Image snapshot-ci-jessie-1504788047 in wmflabs-eqiad is ready | T174972

hashar added a comment.EditedSep 7 2017, 1:45 PM

That solved it for mediawiki/services/jobrunner which has a composer.json referencing ext-redis :)

So it is essentially completed but the packaging work needs some reviewing love before it get merged.

Change 377243 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/php/luasandbox@debian] Rebuild for php5.5 on jessie-wikimedia

https://gerrit.wikimedia.org/r/377243

Change 377245 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dib: add php5.5-luasandbox

https://gerrit.wikimedia.org/r/377245

Change 377245 merged by jenkins-bot:
[integration/config@master] dib: add php5.5-luasandbox

https://gerrit.wikimedia.org/r/377245

hashar updated the task description. (Show Details)Sep 11 2017, 4:25 PM

Mentioned in SAL (#wikimedia-releng) [2017-09-12T10:48:57Z] <hashar> nodepool: force updating jessie image to grab php5.5-luasandbox - T161882 T174972

And I have packaged php-luasandbox. The bulk of the work is done, what is left is maybe to polish up the packages then add them to apt.wikimedia.org. Meanwhile they are all published on a transient apt repo.

That's now merged. Does this mean we can declare this Resolved?

Moritz is rebuilding the Debian packages and will published them on apt.wikimedia.org . I am keeping this open until the upload has been completed. Then I can phase out the transient aptly repo :]

Change 376483 merged by Muehlenhoff:
[operations/debs/pkg-php/php-redis@debian/jessie-wikimedia] Build for php5.5 on jessie-wikimedia

https://gerrit.wikimedia.org/r/376483

Update: php-defaults / php-redis got build with php5.5 and uploaded to component/ci. Luasandbox is next.

Change 377243 merged by Muehlenhoff:
[mediawiki/php/luasandbox@debian] Rebuild for php5.5 on jessie-wikimedia

https://gerrit.wikimedia.org/r/377243

Change 379824 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dib: drop aptly repository for php5.5

https://gerrit.wikimedia.org/r/379824

Change 379824 merged by Hashar:
[integration/config@master] dib: drop aptly repository for php5.5

https://gerrit.wikimedia.org/r/379824

Change 377529 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: php5.5 on permanent slaves

https://gerrit.wikimedia.org/r/377529

Change 379875 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] dib: php5.5 packages are now in contint::packages::php

https://gerrit.wikimedia.org/r/379875

The instances provision fine using apt.wikimedia.org. The last two patches would let us resolve this task once for good.

Change 377529 merged by Muehlenhoff:
[operations/puppet@production] contint: php5.5 on permanent slaves

https://gerrit.wikimedia.org/r/377529

hashar closed this task as Resolved.Sep 25 2017, 7:48 AM

\O/

Change 379875 merged by jenkins-bot:
[integration/config@master] dib: php5.5 packages are now in contint::packages::php

https://gerrit.wikimedia.org/r/379875

Mentioned in SAL (#wikimedia-releng) [2017-09-27T20:12:11Z] <hashar> Deleted aptly.integration.eqiad.wmflabs and the https://integration-aptly.wmflabs.org/repo/ webproxy. They were for php5.5 packages on jessie, now available on apt.wm.o - T174972